module Paths_SharedCost (
    version,
    getBinDir, getLibDir, getDataDir, getLibexecDir,
    getDataFileName, getSysconfDir
  ) where

import qualified Control.Exception as Exception
import Data.Version (Version(..))
import System.Environment (getEnv)
import Prelude

catchIO :: IO a -> (Exception.IOException -> IO a) -> IO a
catchIO = Exception.catch

version :: Version
version = Version [0,0,1] []
bindir, libdir, datadir, libexecdir, sysconfdir :: FilePath

bindir     = "/home/joris/projects/payments/.cabal-sandbox/bin"
libdir     = "/home/joris/projects/payments/.cabal-sandbox/lib/x86_64-linux-ghc-7.10.1/Share_0LGmaQt0Lm18uowW4bwQvY"
datadir    = "/home/joris/projects/payments/.cabal-sandbox/share/x86_64-linux-ghc-7.10.1/SharedCost-0.0.1"
libexecdir = "/home/joris/projects/payments/.cabal-sandbox/libexec"
sysconfdir = "/home/joris/projects/payments/.cabal-sandbox/etc"

getBinDir, getLibDir, getDataDir, getLibexecDir, getSysconfDir :: IO FilePath
getBinDir = catchIO (getEnv "SharedCost_bindir") (\_ -> return bindir)
getLibDir = catchIO (getEnv "SharedCost_libdir") (\_ -> return libdir)
getDataDir = catchIO (getEnv "SharedCost_datadir") (\_ -> return datadir)
getLibexecDir = catchIO (getEnv "SharedCost_libexecdir") (\_ -> return libexecdir)
getSysconfDir = catchIO (getEnv "SharedCost_sysconfdir") (\_ -> return sysconfdir)

getDataFileName :: FilePath -> IO FilePath
getDataFileName name = do
  dir <- getDataDir
  return (dir ++ "/" ++ name)
